from django.urls import path
from . import views

urlpatterns = [
    path('create', views.TicketCreateView.as_view(), name='ticket-create'),
    path('', views.TicketListView.as_view(), name='ticket-list'),
    path('<int:pk>', views.TicketDetailView.as_view(), name='ticket-detail'),
    path('message/create', views.MessageCreateView.as_view(), name='message-create'),
    path('contact-us/create', views.CreateContactUsView.as_view(), name='contact-us-create'),
    path('attachment/create', views.AttachmentUploadView.as_view(), name='attachment-upload'),
    path('attachment/delete/<int:pk>', views.AttachmentDeleteView.as_view(), name='attachment-upload'),
]